using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;
using System.Runtime.InteropServices;

namespace IndianHealthService.BMXNet.Example.CrossComponent.EHR
{
    [ComVisible(true)]
    [Guid("845A916C-3E3A-4BD1-9133-EEE99BEB9238")]
    public partial class UserInfoComponent : UserControl
    {
        public UserInfoComponent()
        {
            InitializeComponent();
            this.AttachToEhr(this.hostedControl);
        }


        private String _configurationParameter= "Nothing Set.";

        public String ConfigurationParameter
        {
            get { return _configurationParameter; }
            set
            {
                _configurationParameter = value;
                if (this.hostedControl != null)
                {
                    this.hostedControl.ConfigurationParameter = value;
                }
            }
        }        
        private void hostedControl_Load(object sender, EventArgs e)
        {
            this.hostedControl.ConfigurationParameter = this.ConfigurationParameter;        
        }


     }
}